# FetchBondId

### Description

Special action to fetch BondId for the Liquity payback from CB strategy and to deactivate rebond strategy if bond from rebond strat was used

> **Notes**
>
> \_params.cbRebondBondId is sent externally so we can hash the sub object and compare it with what's stored in onchain storage. If sourceType is SUB, we deactivate the rebond strategy.

### Action ID

`0x60481c98`

### SDK Action

```ts
const fetchBondIdAction = new dfs.actions.chickenBonds.FetchBondIdAction(
    paybackSourceId,
    sourceType,
    cbRebondBondId
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param paybackSourceId Id of the payback source, can be either bondId or rebond strat subId
    /// @param sourceType if paybackSourceId refers to a bondId or subId
    /// @param cbRebondBondId Id of the current bond in the Rebond sub (only used if sourceType is SUB, otherwise 0)
    struct Params {
        uint256 paybackSourceId;
        uint256 sourceType;
        uint256 cbRebondBondId;
    }
```

### Return Value

```solidity
```

### Events and Logs

```solidity
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/chicken-bonds/fetchbondid.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
